Package com.independentsoft.office.odf.fields

# Enum Class DisplayType

java.lang.Object
java.lang.Enum<DisplayType>
com.independentsoft.office.odf.fields.DisplayType

All Implemented Interfaces:
  `Serializable`, `Comparable<DisplayType>`, `Constable`

public enum DisplayType extends Enum<DisplayType>
Represents the display of a field.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FORMULA`
  Displays the formula instead of the value of a field.
  `NONE`
  Hides the content of a field.
  `VALUE`
  Displays the value of a field.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DisplayType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static DisplayType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VALUE

    public static final DisplayType VALUE
    Displays the value of a field.

  - ### FORMULA

    public static final DisplayType FORMULA
    Displays the formula instead of the value of a field.

  - ### NONE

    public static final DisplayType NONE
    Hides the content of a field.

- ## Method Details

  - ### values

    public static DisplayType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DisplayType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null